Ubuntu

Headset support on three more Dell machines

Reported by David Henningsson on 2013-06-10
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
David Henningsson

Bug Description

This bug is for tracking purposes only, please do not triage.

Changed in linux (Ubuntu):
status: New → In Progress
assignee: nobody → David Henningsson (diwic)

They need these quirks to have headset mic support.

BugLink: https://bugs.launchpad.net/bugs/1189363
Tested-by: Shawn Wang <email address hidden>
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_realtek.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 02e22b4..cbd443d 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -3483,6 +3483,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
  SND_PCI_QUIRK(0x1028, 0x05ca, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05cb, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05de, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
+ SND_PCI_QUIRK(0x1028, 0x05e0, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05e9, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05ea, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05eb, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
@@ -3494,6 +3495,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
  SND_PCI_QUIRK(0x1028, 0x05f5, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05f6, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05f8, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
+ SND_PCI_QUIRK(0x1028, 0x0606, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x0609, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x103c, 0x1586, "HP", ALC269_FIXUP_HP_MUTE_LED_MIC2),
  SND_PCI_QUIRK(0x103c, 0x18e6, "HP", ALC269_FIXUP_HP_GPIO_LED),
--
1.7.9.5

tags: added: blocks-hwcert-enablement

They need these quirks to have headset mic support.

BugLink: https://bugs.launchpad.net/bugs/1189363
Tested-by: Shawn Wang <email address hidden>
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_realtek.c | 3 +++
 1 file changed, 3 insertions(+)

Note that this patch replaces the patch sent yesterday. I added one more ID in this version.

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 02e22b4..af9e71b 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -3483,6 +3483,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
  SND_PCI_QUIRK(0x1028, 0x05ca, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05cb, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05de, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
+ SND_PCI_QUIRK(0x1028, 0x05e0, "Dell", ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05e9, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05ea, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05eb, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
@@ -3494,6 +3495,8 @@ static const struct snd_pci_quirk alc269_fixup_tbl[] = {
  SND_PCI_QUIRK(0x1028, 0x05f5, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05f6, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x05f8, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
+ SND_PCI_QUIRK(0x1028, 0x0606, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
+ SND_PCI_QUIRK(0x1028, 0x0608, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x1028, 0x0609, "Dell", ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
  SND_PCI_QUIRK(0x103c, 0x1586, "HP", ALC269_FIXUP_HP_MUTE_LED_MIC2),
  SND_PCI_QUIRK(0x103c, 0x18e6, "HP", ALC269_FIXUP_HP_GPIO_LED),
--
1.7.9.5

These headset jacks keep coming in on more and more platforms, and
it's possible I don't catch them all. Make it easier to test and
verify by making models.

Signed-off-by: David Henningsson <email address hidden>
---
 Documentation/sound/alsa/HD-Audio-Models.txt | 41 ++++++++++++++------------
 sound/pci/hda/patch_realtek.c | 3 ++
 2 files changed, 25 insertions(+), 19 deletions(-)

diff --git a/Documentation/sound/alsa/HD-Audio-Models.txt b/Documentation/sound/alsa/HD-Audio-Models.txt
index bb8b0dc..9a0927c 100644
--- a/Documentation/sound/alsa/HD-Audio-Models.txt
+++ b/Documentation/sound/alsa/HD-Audio-Models.txt
@@ -21,27 +21,30 @@ ALC267/268
 ==========
   inv-dmic Inverted internal mic workaround

-ALC269/270/275/276/280/282
+ALC269/270/275/276/28x/29x
 ======
- laptop-amic Laptops with analog-mic input
- laptop-dmic Laptops with digital-mic input
- alc269-dmic Enable ALC269(VA) digital mic workaround
- alc271-dmic Enable ALC271X digital mic workaround
- inv-dmic Inverted internal mic workaround
- lenovo-dock Enables docking station I/O for some Lenovos
-
-ALC662/663/272
+ laptop-amic Laptops with analog-mic input
+ laptop-dmic Laptops with digital-mic input
+ alc269-dmic Enable ALC269(VA) digital mic workaround
+ alc271-dmic Enable ALC271X digital mic workaround
+ inv-dmic Inverted internal mic workaround
+ lenovo-dock Enables docking station I/O for some Lenovos
+ dell-headset-multi Headset jack, which can also be used as mic-in
+ dell-headset-dock Headset jack (without mic-in), and also dock I/O
+
+ALC662/663/668/272
 ==============
- mario Chromebook mario model fixup
- asus-mode1 ASUS
- asus-mode2 ASUS
- asus-mode3 ASUS
- asus-mode4 ASUS
- asus-mode5 ASUS
- asus-mode6 ASUS
- asus-mode7 ASUS
- asus-mode8 ASUS
- inv-dmic Inverted internal mic workaround
+ mario Chromebook mario model fixup
+ asus-mode1 ASUS
+ asus-mode2 ASUS
+ asus-mode3 ASUS
+ asus-mode4 ASUS
+ asus-mode5 ASUS
+ asus-mode6 ASUS
+ asus-mode7 ASUS
+ asus-mode8 ASUS
+ inv-dmic Inverted internal mic workaround
+ dell-headset-multi Headset jack, which can also be used as mic-in

 ALC680
 ======
diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index af9e71b..403010c 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -3599,6 +3599,8 @@ static const struct hda_model_fixup alc269_fixup_models[] = {
  {.id = ALC269_FIXUP_INV_DMIC, .name = "inv-dmic"},
  {.id = ALC269_FIXUP_LENOVO_DOCK, .name = "lenovo-dock"},
  {.id = ALC269_FIXUP_HP_GPIO_LED, .name = "hp-gpio-led"},
+ {.id = ALC269_FIXUP_DELL1_MIC_NO_PRESENCE, .name = "dell-headset-multi"},
+ {.id = ALC269_FIXUP_DELL2_MIC_NO_PRESENCE, .name = "dell-headset-dock"},
  {}
 };

@@ -4278,6 +4280,7 @@ static const struct hda_model_fixup alc662_fixup_models[] = {
  {.id = ALC662_FIXUP_ASUS_MODE7, .name = "asus-mode7"},
  {.id = ALC662_FIXUP_ASUS_MODE8, .name = "asus-mode8"},
  {.id = ALC662_FIXUP_INV_DMIC, .name = "inv-dmic"},
+ {.id = ALC668_FIXUP_DELL_MIC_NO_PRESENCE, .name = "dell-headset-multi"},
  {}
 };

--
1.7.9.5

summary: - Headset support two more Dell machines
+ Headset support on three more Dell machines

Hi David,

I'm currently traveling, and will apply the patch in the weekend, as it
doesn't look like an urgent fix.

Thanks,

Takashi
On Jun 11, 2013 11:09 AM, "David Henningsson" <
<email address hidden>> wrote:

> They need these quirks to have headset mic support.
>
> BugLink: https://bugs.launchpad.net/bugs/1189363
> Tested-by: Shawn Wang <email address hidden>
> Signed-off-by: David Henningsson <email address hidden>
> ---
> sound/pci/hda/patch_realtek.c | 3 +++
> 1 file changed, 3 insertions(+)
>
> Note that this patch replaces the patch sent yesterday. I added one more
> ID in this version.
>
> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
> index 02e22b4..af9e71b 100644
> --- a/sound/pci/hda/patch_realtek.c
> +++ b/sound/pci/hda/patch_realtek.c
> @@ -3483,6 +3483,7 @@ static const struct snd_pci_quirk alc269_fixup_tbl[]
> = {
> SND_PCI_QUIRK(0x1028, 0x05ca, "Dell",
> ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x05cb, "Dell",
> ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x05de, "Dell",
> ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
> + SND_PCI_QUIRK(0x1028, 0x05e0, "Dell",
> ALC269_FIXUP_DELL2_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x05e9, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x05ea, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x05eb, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> @@ -3494,6 +3495,8 @@ static const struct snd_pci_quirk alc269_fixup_tbl[]
> = {
> SND_PCI_QUIRK(0x1028, 0x05f5, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x05f6, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x05f8, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> + SND_PCI_QUIRK(0x1028, 0x0606, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> + SND_PCI_QUIRK(0x1028, 0x0608, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x1028, 0x0609, "Dell",
> ALC269_FIXUP_DELL1_MIC_NO_PRESENCE),
> SND_PCI_QUIRK(0x103c, 0x1586, "HP", ALC269_FIXUP_HP_MUTE_LED_MIC2),
> SND_PCI_QUIRK(0x103c, 0x18e6, "HP", ALC269_FIXUP_HP_GPIO_LED),
> --
> 1.7.9.5
>
>

Download full text (3.5 KiB)

At Tue, 11 Jun 2013 11:06:49 +0200,
David Henningsson wrote:
>
> These headset jacks keep coming in on more and more platforms, and
> it's possible I don't catch them all. Make it easier to test and
> verify by making models.
>
> Signed-off-by: David Henningsson <email address hidden>

The patch does more than it says; it reformats and modifies
HD-Audio-Models.txt. If it's intended to be merged to 3.10 kernel,
please make things as minimal as possible, then prepare another patch
for cleaning up the whole document.

thanks,

Takashi

> ---
> Documentation/sound/alsa/HD-Audio-Models.txt | 41 ++++++++++++++------------
> sound/pci/hda/patch_realtek.c | 3 ++
> 2 files changed, 25 insertions(+), 19 deletions(-)
>
> diff --git a/Documentation/sound/alsa/HD-Audio-Models.txt b/Documentation/sound/alsa/HD-Audio-Models.txt
> index bb8b0dc..9a0927c 100644
> --- a/Documentation/sound/alsa/HD-Audio-Models.txt
> +++ b/Documentation/sound/alsa/HD-Audio-Models.txt
> @@ -21,27 +21,30 @@ ALC267/268
> ==========
> inv-dmic Inverted internal mic workaround
>
> -ALC269/270/275/276/280/282
> +ALC269/270/275/276/28x/29x
> ======
> - laptop-amic Laptops with analog-mic input
> - laptop-dmic Laptops with digital-mic input
> - alc269-dmic Enable ALC269(VA) digital mic workaround
> - alc271-dmic Enable ALC271X digital mic workaround
> - inv-dmic Inverted internal mic workaround
> - lenovo-dock Enables docking station I/O for some Lenovos
> -
> -ALC662/663/272
> + laptop-amic Laptops with analog-mic input
> + laptop-dmic Laptops with digital-mic input
> + alc269-dmic Enable ALC269(VA) digital mic workaround
> + alc271-dmic Enable ALC271X digital mic workaround
> + inv-dmic Inverted internal mic workaround
> + lenovo-dock Enables docking station I/O for some Lenovos
> + dell-headset-multi Headset jack, which can also be used as mic-in
> + dell-headset-dock Headset jack (without mic-in), and also dock I/O
> +
> +ALC662/663/668/272
> ==============
> - mario Chromebook mario model fixup
> - asus-mode1 ASUS
> - asus-mode2 ASUS
> - asus-mode3 ASUS
> - asus-mode4 ASUS
> - asus-mode5 ASUS
> - asus-mode6 ASUS
> - asus-mode7 ASUS
> - asus-mode8 ASUS
> - inv-dmic Inverted internal mic workaround
> + mario Chromebook mario model fixup
> + asus-mode1 ASUS
> + asus-mode2 ASUS
> + asus-mode3 ASUS
> + asus-mode4 ASUS
> + asus-mode5 ASUS
> + asus-mode6 ASUS
> + asus-mode7 ASUS
> + asus-mode8 ASUS
> + inv-dmic Inverted internal mic workaround
> + dell-headset-multi Headset jack, which can also be used as mic-in
>
> ALC680
> ======
> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
> index af9e71b..403010c 100644
> --- a/sound/pci/hda/patch_realtek.c
> +++ b/sound/pci/hda/patch_realtek.c
> @@ -3599,6 +3599,8 @@ static const struct hda_model_fixup alc269_fixup_models[] = {
> {.id = ALC269_FIXUP_INV_DMIC, .name = "inv-dmic"},
> {.id = ALC269_FIXUP_LENOVO_DOCK, .name = "lenovo-dock"},
> {.id = ALC269_FIXUP_HP_GPIO_LED, .name = "hp-gpio-led"},
> + {.id = ALC269_FIXUP_DELL1_MIC_NO_PRESENCE, .name = "dell-headset-multi"},
> + {.id = ALC269_FIXUP_DELL2_MIC_NO...

Read more...

David Henningsson (diwic) wrote :
Download full text (4.2 KiB)

On 06/17/2013 09:49 AM, Takashi Iwai wrote:
> At Tue, 11 Jun 2013 11:06:49 +0200,
> David Henningsson wrote:
>>
>> These headset jacks keep coming in on more and more platforms, and
>> it's possible I don't catch them all. Make it easier to test and
>> verify by making models.
>>
>> Signed-off-by: David Henningsson <email address hidden>
>
> The patch does more than it says; it reformats and modifies
> HD-Audio-Models.txt. If it's intended to be merged to 3.10 kernel,
> please make things as minimal as possible, then prepare another patch
> for cleaning up the whole document.

Given Linus's latest "don't send me non-critical stuff" comment [1], I
was expecting you to defer this patch to 3.11 anyway. If you can merge
the first patch (the one that adds three headset IDs) to 3.10, that
would be appreciated though.

Also, I'm not sure how to split this patch, all reformat/modifications
are just because of the documentation of the added models.

>
>
> thanks,
>
> Takashi
>
>> ---
>> Documentation/sound/alsa/HD-Audio-Models.txt | 41 ++++++++++++++------------
>> sound/pci/hda/patch_realtek.c | 3 ++
>> 2 files changed, 25 insertions(+), 19 deletions(-)
>>
>> diff --git a/Documentation/sound/alsa/HD-Audio-Models.txt b/Documentation/sound/alsa/HD-Audio-Models.txt
>> index bb8b0dc..9a0927c 100644
>> --- a/Documentation/sound/alsa/HD-Audio-Models.txt
>> +++ b/Documentation/sound/alsa/HD-Audio-Models.txt
>> @@ -21,27 +21,30 @@ ALC267/268
>> ==========
>> inv-dmic Inverted internal mic workaround
>>
>> -ALC269/270/275/276/280/282
>> +ALC269/270/275/276/28x/29x
>> ======
>> - laptop-amic Laptops with analog-mic input
>> - laptop-dmic Laptops with digital-mic input
>> - alc269-dmic Enable ALC269(VA) digital mic workaround
>> - alc271-dmic Enable ALC271X digital mic workaround
>> - inv-dmic Inverted internal mic workaround
>> - lenovo-dock Enables docking station I/O for some Lenovos
>> -
>> -ALC662/663/272
>> + laptop-amic Laptops with analog-mic input
>> + laptop-dmic Laptops with digital-mic input
>> + alc269-dmic Enable ALC269(VA) digital mic workaround
>> + alc271-dmic Enable ALC271X digital mic workaround
>> + inv-dmic Inverted internal mic workaround
>> + lenovo-dock Enables docking station I/O for some Lenovos
>> + dell-headset-multi Headset jack, which can also be used as mic-in
>> + dell-headset-dock Headset jack (without mic-in), and also dock I/O
>> +
>> +ALC662/663/668/272
>> ==============
>> - mario Chromebook mario model fixup
>> - asus-mode1 ASUS
>> - asus-mode2 ASUS
>> - asus-mode3 ASUS
>> - asus-mode4 ASUS
>> - asus-mode5 ASUS
>> - asus-mode6 ASUS
>> - asus-mode7 ASUS
>> - asus-mode8 ASUS
>> - inv-dmic Inverted internal mic workaround
>> + mario Chromebook mario model fixup
>> + asus-mode1 ASUS
>> + asus-mode2 ASUS
>> + asus-mode3 ASUS
>> + asus-mode4 ASUS
>> + asus-mode5 ASUS
>> + asus-mode6 ASUS
>> + asus-mode7 ASUS
>> + asus-mode8 ASUS
>> + inv-dmic Inverted internal mic workaround
>> + dell-headset-multi Headset jack, which can also be used as mic-in
>>
>> ALC680
>> ======
>> diff --git a/sound/pci/hda/patch_realtek.c b/sound/...

Read more...

Takashi Iwai (tiwai) wrote :
Download full text (4.9 KiB)

At Mon, 17 Jun 2013 09:58:46 +0200,
David Henningsson wrote:
>
> On 06/17/2013 09:49 AM, Takashi Iwai wrote:
> > At Tue, 11 Jun 2013 11:06:49 +0200,
> > David Henningsson wrote:
> >>
> >> These headset jacks keep coming in on more and more platforms, and
> >> it's possible I don't catch them all. Make it easier to test and
> >> verify by making models.
> >>
> >> Signed-off-by: David Henningsson <email address hidden>
> >
> > The patch does more than it says; it reformats and modifies
> > HD-Audio-Models.txt. If it's intended to be merged to 3.10 kernel,
> > please make things as minimal as possible, then prepare another patch
> > for cleaning up the whole document.
>
> Given Linus's latest "don't send me non-critical stuff" comment [1], I
> was expecting you to defer this patch to 3.11 anyway. If you can merge
> the first patch (the one that adds three headset IDs) to 3.10, that
> would be appreciated though.

The addition of IDs are real fixes, so they should go to 3.10.

Then the only question is how annoying for you if the additional model
string would be missing. If it doesn't matter, I can postpone it, of
course.

> Also, I'm not sure how to split this patch, all reformat/modifications
> are just because of the documentation of the added models.

Simply add three lines to HD-Audio-Models.txt together with three
lines addition to patch_realtek.c. Total six lines. Don't be
bothered by the aligned tabs.

Takashi

> >
> >
> > thanks,
> >
> > Takashi
> >
> >> ---
> >> Documentation/sound/alsa/HD-Audio-Models.txt | 41 ++++++++++++++------------
> >> sound/pci/hda/patch_realtek.c | 3 ++
> >> 2 files changed, 25 insertions(+), 19 deletions(-)
> >>
> >> diff --git a/Documentation/sound/alsa/HD-Audio-Models.txt b/Documentation/sound/alsa/HD-Audio-Models.txt
> >> index bb8b0dc..9a0927c 100644
> >> --- a/Documentation/sound/alsa/HD-Audio-Models.txt
> >> +++ b/Documentation/sound/alsa/HD-Audio-Models.txt
> >> @@ -21,27 +21,30 @@ ALC267/268
> >> ==========
> >> inv-dmic Inverted internal mic workaround
> >>
> >> -ALC269/270/275/276/280/282
> >> +ALC269/270/275/276/28x/29x
> >> ======
> >> - laptop-amic Laptops with analog-mic input
> >> - laptop-dmic Laptops with digital-mic input
> >> - alc269-dmic Enable ALC269(VA) digital mic workaround
> >> - alc271-dmic Enable ALC271X digital mic workaround
> >> - inv-dmic Inverted internal mic workaround
> >> - lenovo-dock Enables docking station I/O for some Lenovos
> >> -
> >> -ALC662/663/272
> >> + laptop-amic Laptops with analog-mic input
> >> + laptop-dmic Laptops with digital-mic input
> >> + alc269-dmic Enable ALC269(VA) digital mic workaround
> >> + alc271-dmic Enable ALC271X digital mic workaround
> >> + inv-dmic Inverted internal mic workaround
> >> + lenovo-dock Enables docking station I/O for some Lenovos
> >> + dell-headset-multi Headset jack, which can also be used as mic-in
> >> + dell-headset-dock Headset jack (without mic-in), and also dock I/O
> >> +
> >> +ALC662/663/668/272
> >> ==============
> >> - mario Chromebook mario model fixup
> >> - asus-mode1 ASUS
> >> - asus-mode2 ASUS
> >> - asus-mode3 ASUS
> >> -...

Read more...

David Henningsson (diwic) wrote :
Download full text (5.2 KiB)

On 06/17/2013 10:06 AM, Takashi Iwai wrote:
> At Mon, 17 Jun 2013 09:58:46 +0200,
> David Henningsson wrote:
>>
>> On 06/17/2013 09:49 AM, Takashi Iwai wrote:
>>> At Tue, 11 Jun 2013 11:06:49 +0200,
>>> David Henningsson wrote:
>>>>
>>>> These headset jacks keep coming in on more and more platforms, and
>>>> it's possible I don't catch them all. Make it easier to test and
>>>> verify by making models.
>>>>
>>>> Signed-off-by: David Henningsson <email address hidden>
>>>
>>> The patch does more than it says; it reformats and modifies
>>> HD-Audio-Models.txt. If it's intended to be merged to 3.10 kernel,
>>> please make things as minimal as possible, then prepare another patch
>>> for cleaning up the whole document.
>>
>> Given Linus's latest "don't send me non-critical stuff" comment [1], I
>> was expecting you to defer this patch to 3.11 anyway. If you can merge
>> the first patch (the one that adds three headset IDs) to 3.10, that
>> would be appreciated though.
>
> The addition of IDs are real fixes, so they should go to 3.10.
>
> Then the only question is how annoying for you if the additional model
> string would be missing. If it doesn't matter, I can postpone it, of
> course.

It would be helpful to have the models in 3.10 but not an absolute
requirement.

>
>> Also, I'm not sure how to split this patch, all reformat/modifications
>> are just because of the documentation of the added models.
>
> Simply add three lines to HD-Audio-Models.txt together with three
> lines addition to patch_realtek.c. Total six lines. Don't be
> bothered by the aligned tabs.

Ok, I've now splitted that patch into two and just sent the result.

>
>
> Takashi
>
>
>>>
>>>
>>> thanks,
>>>
>>> Takashi
>>>
>>>> ---
>>>> Documentation/sound/alsa/HD-Audio-Models.txt | 41 ++++++++++++++------------
>>>> sound/pci/hda/patch_realtek.c | 3 ++
>>>> 2 files changed, 25 insertions(+), 19 deletions(-)
>>>>
>>>> diff --git a/Documentation/sound/alsa/HD-Audio-Models.txt b/Documentation/sound/alsa/HD-Audio-Models.txt
>>>> index bb8b0dc..9a0927c 100644
>>>> --- a/Documentation/sound/alsa/HD-Audio-Models.txt
>>>> +++ b/Documentation/sound/alsa/HD-Audio-Models.txt
>>>> @@ -21,27 +21,30 @@ ALC267/268
>>>> ==========
>>>> inv-dmic Inverted internal mic workaround
>>>>
>>>> -ALC269/270/275/276/280/282
>>>> +ALC269/270/275/276/28x/29x
>>>> ======
>>>> - laptop-amic Laptops with analog-mic input
>>>> - laptop-dmic Laptops with digital-mic input
>>>> - alc269-dmic Enable ALC269(VA) digital mic workaround
>>>> - alc271-dmic Enable ALC271X digital mic workaround
>>>> - inv-dmic Inverted internal mic workaround
>>>> - lenovo-dock Enables docking station I/O for some Lenovos
>>>> -
>>>> -ALC662/663/272
>>>> + laptop-amic Laptops with analog-mic input
>>>> + laptop-dmic Laptops with digital-mic input
>>>> + alc269-dmic Enable ALC269(VA) digital mic workaround
>>>> + alc271-dmic Enable ALC271X digital mic workaround
>>>> + inv-dmic Inverted internal mic workaround
>>>> + lenovo-dock Enables docking station I/O for some Lenovos
>>>> + dell-headset-multi Headset jack, which can also be used as mic-in
>>>> + dell-head...

Read more...

Takashi Iwai (tiwai) wrote :

At Mon, 17 Jun 2013 11:06:18 +0200,
David Henningsson wrote:
>
> On 06/17/2013 10:06 AM, Takashi Iwai wrote:
> > At Mon, 17 Jun 2013 09:58:46 +0200,
> > David Henningsson wrote:
> >>
> >> On 06/17/2013 09:49 AM, Takashi Iwai wrote:
> >>> At Tue, 11 Jun 2013 11:06:49 +0200,
> >>> David Henningsson wrote:
> >>>>
> >>>> These headset jacks keep coming in on more and more platforms, and
> >>>> it's possible I don't catch them all. Make it easier to test and
> >>>> verify by making models.
> >>>>
> >>>> Signed-off-by: David Henningsson <email address hidden>
> >>>
> >>> The patch does more than it says; it reformats and modifies
> >>> HD-Audio-Models.txt. If it's intended to be merged to 3.10 kernel,
> >>> please make things as minimal as possible, then prepare another patch
> >>> for cleaning up the whole document.
> >>
> >> Given Linus's latest "don't send me non-critical stuff" comment [1], I
> >> was expecting you to defer this patch to 3.11 anyway. If you can merge
> >> the first patch (the one that adds three headset IDs) to 3.10, that
> >> would be appreciated though.
> >
> > The addition of IDs are real fixes, so they should go to 3.10.
> >
> > Then the only question is how annoying for you if the additional model
> > string would be missing. If it doesn't matter, I can postpone it, of
> > course.
>
> It would be helpful to have the models in 3.10 but not an absolute
> requirement.
>
> >
> >> Also, I'm not sure how to split this patch, all reformat/modifications
> >> are just because of the documentation of the added models.
> >
> > Simply add three lines to HD-Audio-Models.txt together with three
> > lines addition to patch_realtek.c. Total six lines. Don't be
> > bothered by the aligned tabs.
>
> Ok, I've now splitted that patch into two and just sent the result.

Thanks, applied new patches now.

Takashi

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package linux - 3.10.0-0.7

---------------
linux (3.10.0-0.7) saucy; urgency=low

  [ Andy Whitcroft ]

  * autopkgtest: switch Depends: to build-essential

linux (3.10.0-0.6) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable CONFIG_ARCH_TEGRA to fix FTBFS on armhf
  * SAUCE: ubuntu: overlayfs -- ovl_path_open should not take path reference
    - LP: #1098378
  * ubuntu: AUFS -- update to 4f14cef47eb7c23eda7198931fbab1040866b6ee
  * ubuntu: overlayfs -- expose do_splice_direct prototype
  * ubuntu: overlayfs -- follow change to do_splice_direct interface
  * [Config] flip CONFIG_NO_HZ_FULL_ALL off as it is overheating machines
    - LP: #1192691

  [ Stefan Bader ]

  * (d-i) Add dm-snapshot to md-modules
    - LP: #1191726

  [ Tim Gardner ]

  * Release tracker
    - LP: #1194149
  * [Config] CONFIG_WIL6210=n for armhf
  * [Config] d-i: Add calxedaxgmac to nic-modules
    - LP: #1192358
  * [debian] Use dh_strip
    - LP: #1192759
  * [Config] Enable perf for armhf
  * do_tools=false when cross compiling
  * [Config] CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS=y
    - LP: #1108082

  [ Upstream Kernel Changes ]

  * nsp32: switch reset delay to msleep() as it is tooo long
  * alx: add a simple AR816x/AR817x device driver
    Plucked from linux-next. replaces ubuntu/alx in favor of
    'to be merged' version in 3.11.
  * rebase to v3.10-rc7
    - LP: #1189363

linux (3.10.0-0.5) saucy; urgency=low

  [ Andy Whitcroft ]

  * rebase to v3.10-rc6
  * [Config] updateconfigs following rebase to v3.10-rc6

  [ Upstream Kernel Changes ]

  * rebase to v3.10-rc6

linux (3.10.0-0.4) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Config] updateconfigs following rebase to v3.10-rc4

linux (3.10.0-0.3) saucy; urgency=low

  [ Andy Whitcroft ]

  * rebase to v3.10-rc5

  [ Upstream Kernel Changes ]

  * rebase to v3.10-rc5
    - LP: #1186170

linux (3.10.0-0.2) saucy; urgency=low

  [ Andy Whitcroft ]

  * rebase to v3.10-rc4
  * [Config] CONFIG_BINFMT_SCRIPT=y to fix booting initramfs scripts
  * [Config] enable SND_PCM_DEBUG SND_PCM_XRUN_DEBUG
    - LP: #1187744
  * [Config] enforce CONFIG_BINFMT_SCRIPT=y

  [ Dave Chiluk ]

  * SAUCE: ncpfs: fix rmdir returns Device or resource busy
    - LP: #1035226

  [ Tim Gardner ]

  * rebase to v3.10-rc3
  * [Config] sparc be gone
  * [Config] ia64 be gone
  * d-i: block-modules provides nbd-modules

  [ Upstream Kernel Changes ]

  * rebase to v3.10-rc4
  * rebase to v3.10-rc3

linux (3.10.0-0.1) saucy; urgency=low

  [ Tim Gardner ]

  * UBUNTU: Disabled lttng
  * UBUNTU: Disable aufs for FTBS
  * UBUNTU: Disabled alx
  * UBUNTU: alx: rename NETIF_F_HW_VLAN_* feature flags to NETIF_F_HW_VLAN_CTAG_*
  * UBUNTU: rebase to v3.10-rc2
  * UBUNTU: SAUCE: uvcvideo: quirk PROBE_DEF for Alienware X51 OmniVision webcam

  [ Andy Whitcroft ]

  * UBUNTU: [Config] update standards version to 3.9.4.0
  * UBUNTU: [Config] squash duplicate package description (long and short)
  * UBUNTU: [Config] fix up Vcs-git: to point to saucy
  * UBUNTU: [Config] drop depenancy on util-linux as is Essential
  * UBUNTU: [Config] drop redundant Build-Conficts:

  [ Upstream Kernel Changes ]

  * rebase to v...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers